Bug 213251 - [NEW PORT] sysutils/u-boot-chip: uboot port for the CHIP $9 computer
Summary: [NEW PORT] sysutils/u-boot-chip: uboot port for the CHIP $9 computer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-06 17:14 UTC by Emmanuel Vadot
Modified: 2017-06-25 23:27 UTC (History)
1 user (show)

See Also:


Attachments
u-boot chip (1.94 KB, patch)
2016-10-06 17:14 UTC, Emmanuel Vadot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot freebsd_committer 2016-10-06 17:14:57 UTC
Created attachment 175474 [details]
u-boot chip

Add a uboot port for the CHIP $9 computer.

portlint: OK
poudriere: OK
Comment 1 mikael.urankar 2016-10-07 13:14:05 UTC
pkg-descr is incorrect, /usr/local/share/u-boot/u-boot-boardname/u-boot-sunxi-with-spl.bin does not exist, should be /usr/local/share/u-boot/u-boot-boardname/u-boot-sunxi-with-spl.bin
Comment 2 mikael.urankar 2016-10-07 13:14:59 UTC
crappy copy'n'paste, the correct path is
/usr/local/share/u-boot/u-boot-chip/u-boot-sunxi-with-spl.bin
Comment 3 Emmanuel Vadot freebsd_committer 2016-10-07 13:22:53 UTC
Damn,

That's what you get for making last minute changes without checking, I'll update the patch this weekend.
Comment 4 Emmanuel Vadot freebsd_committer 2016-10-08 11:59:21 UTC
Ok just got what you were saying, I thought that there was a problem in the plist because of the package name (I've changed PKGNAMESUFFIX just before sending the patch).

So yeah pkg-descr is the same between every uboot Allwinner ports that's why we haven't hardcoded the real path in it.
I'll make a big pass on every ports one day.

Everything is fine.
Comment 5 Mark Linimon freebsd_committer 2017-06-25 22:51:23 UTC
Committed, thanks.
Comment 6 commit-hook freebsd_committer 2017-06-25 22:52:00 UTC
A commit references this bug:

Author: linimon
Date: Sun Jun 25 22:51:24 UTC 2017
New revision: 444326
URL: https://svnweb.freebsd.org/changeset/ports/444326

Log:
  Add u-boot-chip, uboot port customized for the CHIP $9 computer.

  PR:		213251
  Submitted by:	manu

Changes:
  head/sysutils/Makefile
  head/sysutils/u-boot-chip/
  head/sysutils/u-boot-chip/Makefile
  head/sysutils/u-boot-chip/pkg-descr
Comment 7 commit-hook freebsd_committer 2017-06-25 23:27:30 UTC
A commit references this bug:

Author: linimon
Date: Sun Jun 25 23:26:45 UTC 2017
New revision: 444328
URL: https://svnweb.freebsd.org/changeset/ports/444328

Log:
  Fix pkg-descr information.

  PR:		213251
  Submitted by:	manu

Changes:
  head/sysutils/u-boot-a13-olinuxino/pkg-descr
  head/sysutils/u-boot-olimex-a20-som-evb/pkg-descr
  head/sysutils/u-boot-olinuxino-lime/pkg-descr
  head/sysutils/u-boot-orangepi-one/pkg-descr
  head/sysutils/u-boot-pcduino3/pkg-descr